#Region "Copyright Syncfusion Inc. 2001 - 2006"
'
'  Copyright Syncfusion Inc. 2001 - 2006. All rights reserved.
'
'  Use of this code is subject to the terms of our license.
'  A copy of the current license can be obtained at any time by e-mailing
'  licensing@syncfusion.com. Any infringement will be prosecuted under
'  applicable laws. 
'
#End Region


Imports Microsoft.VisualBasic
Imports System
Imports System.Drawing
Imports System.Diagnostics
Imports System.Collections
Imports System.ComponentModel
Imports System.Windows.Forms
Imports System.Data
Imports Syncfusion.Drawing
Imports Syncfusion.Windows.Forms.Grid

Namespace GridDataBoundGrid
    ''' <summary>
    ''' Summary description for Form1.
    ''' </summary>
    Public Class Form1 : Inherits System.Windows.Forms.Form
        Private gridDataBoundGrid1 As Syncfusion.Windows.Forms.Grid.GridDataBoundGrid
        Private WithEvents Import As System.Windows.Forms.Button

        ''' <summary>
        ''' Required designer variable.
        ''' </summary>
        Private components As System.ComponentModel.Container = Nothing

        Public Sub New()
            '
            ' Required for Windows Form Designer support
            '
            InitializeComponent()

            '			DataSet dataSet = new DataSet();
            '			dataSet.ReadXml(@"..//..//Datasource.xml");
            '			gridDataBoundGrid1.DataSource = dataSet.Tables[0];

            Me.gridDataBoundGrid1.DefaultRowHeight = 18
            Me.gridDataBoundGrid1.DefaultColWidth = 70
            Me.gridDataBoundGrid1.Model.Properties.GridLineColor = System.Drawing.Color.Silver
            Me.gridDataBoundGrid1.Model.Options.DefaultGridBorderStyle = GridBorderStyle.Solid
        End Sub

        ''' <summary>
        ''' Clean up any resources being used.
        ''' </summary>
        Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
            If disposing Then
                If Not components Is Nothing Then
                    components.Dispose()
                End If
            End If
            MyBase.Dispose(disposing)
        End Sub

#Region "Windows Form Designer generated code"
        ''' <summary>
        ''' Required method for Designer support - do not modify
        ''' the contents of this method with the code editor.
        ''' </summary>
        Private Sub InitializeComponent()
            Me.gridDataBoundGrid1 = New Syncfusion.Windows.Forms.Grid.GridDataBoundGrid
            Me.Import = New System.Windows.Forms.Button
            CType(Me.gridDataBoundGrid1, System.ComponentModel.ISupportInitialize).BeginInit()
            Me.SuspendLayout()
            ' 
            ' gridDataBoundGrid1
            ' 
            Me.gridDataBoundGrid1.AllowDragSelectedCols = True
            Me.gridDataBoundGrid1.Anchor = (((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) Or System.Windows.Forms.AnchorStyles.Left) Or System.Windows.Forms.AnchorStyles.Right)
            Me.gridDataBoundGrid1.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
            Me.gridDataBoundGrid1.Location = New System.Drawing.Point(32, 32)
            Me.gridDataBoundGrid1.Name = "gridDataBoundGrid1"
            Me.gridDataBoundGrid1.OptimizeInsertRemoveCells = True
            Me.gridDataBoundGrid1.ShowCurrentCellBorderBehavior = Syncfusion.Windows.Forms.Grid.GridShowCurrentCellBorder.GrayWhenLostFocus
            Me.gridDataBoundGrid1.Size = New System.Drawing.Size(552, 288)
            Me.gridDataBoundGrid1.SmartSizeBox = False
            Me.gridDataBoundGrid1.SortBehavior = Syncfusion.Windows.Forms.Grid.GridSortBehavior.DoubleClick
            Me.gridDataBoundGrid1.TabIndex = 0
            Me.gridDataBoundGrid1.Text = "gridDataBoundGrid1"
            Me.gridDataBoundGrid1.UseListChangedEvent = True
            ' 
            ' Import
            ' 
            Me.Import.Anchor = (System.Windows.Forms.AnchorStyles.Bottom Or System.Windows.Forms.AnchorStyles.Right)
            Me.Import.FlatStyle = System.Windows.Forms.FlatStyle.System
            Me.Import.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, (CByte(0)))
            Me.Import.Location = New System.Drawing.Point(425, 331)
            Me.Import.Name = "Import"
            Me.Import.Size = New System.Drawing.Size(160, 24)
            Me.Import.TabIndex = 0
            Me.Import.Text = "Import"
            '			Me.Import.Click += New System.EventHandler(Me.Import_Click);
            ' 
            ' Form1
            ' 
            Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
            Me.ClientSize = New System.Drawing.Size(616, 366)
            Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.Import, Me.gridDataBoundGrid1})
            Me.Name = "Form1"
            Me.Text = "GridDataBoundGrid Excel Import"
            CType(Me.gridDataBoundGrid1, System.ComponentModel.ISupportInitialize).EndInit()
            Me.ResumeLayout(False)

        End Sub
#End Region

        ''' <summary>
        ''' The main entry point for the application.
        ''' </summary>
        <STAThread()> _
        Shared Sub Main()
#If SyncfusionFramework1_1 OrElse SyncfusionFramework2_0 Then
			Application.EnableVisualStyles()
#End If
            Application.Run(New Form1)
        End Sub

        Private Sub Import_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Import.Click
            Dim gecc As MyGridExcelConverterControl = New MyGridExcelConverterControl
            Dim dt As DataTable = New DataTable

            Dim openFileDialog As OpenFileDialog = New OpenFileDialog
            openFileDialog.Filter = "Files(*.xls)|*.xls"
            openFileDialog.DefaultExt = ".xls"

            If openFileDialog.ShowDialog() = DialogResult.OK Then
                dt = gecc.ExcelToDataBoundGrid(openFileDialog.FileName, Me.gridDataBoundGrid1.Model)
            End If

            Me.gridDataBoundGrid1.DataSource = dt
            Me.gridDataBoundGrid1.Model.ColWidths.ResizeToFit(GridRangeInfo.Row(0), GridResizeToFitOptions.NoShrinkSize)
            Me.gridDataBoundGrid1.Refresh()
        End Sub
    End Class
End Namespace
